{
  lib,
  config,
  ...
}: {
  programs.ghostty = {
    enable = true;
    enableFishIntegration = true;
    settings = {
      theme = "catppuccin-mocha";
      font-size = 12;
      font-family = "DejaVu Sans";
    };
  };

  home.sessionVariables.TERMINAL = lib.mkIf (config.terminal == "ghostty") "ghostty";
}
